# Joplin release cycle

We release three major versions per year, following a three-phase process: "Release", "Freeze", and "Publishing". This reliable schedule empowers the community, as well as businesses and developers, to effectively plan their own roadmaps.

Here's what each phase entails:

**Phase 1: "Release" - Cycle start** During this phase, our team will focus on developing new features and improvements for the next release.

**Phase 2: "Freeze" - Stability and bug fixing** The "Freeze" phase will begin two weeks before the intended publishing date. At this point, we will halt the addition of new features and concentrate on stabilizing the software. Our main objective will be to fix any remaining bugs and optimize performance.

**Phase 3: "Publishing" - Final version** The "Publishing" phase is when we will officially release the new version of Joplin.

Below is our schedule related to the phases mentioned above:

| Release       | Freeze         | Publishing               |
| ------------- | -------------- | ------------------------ |
| **Joplin 2.12** | 16 Aug 2023    | 1 Sept 2023 - 7 Sept 2023 |
| **Joplin 2.13** | 16 Nov 2023    | 1 Dec 2023 - 7 Dec 2023  |
| **Joplin 2.14** | 16 Feb 2024    | 1 Mar 2024 - 7 Mar 2024  |
| **Joplin 3.0**  | 16 Jun 2024    | 1 Jul 2024 - 7 Jul 2024  |
| **Joplin 3.1**  | 26 Sept 2024   | 11 Oct 2024 - 18 Oct 2024 |
| **Joplin 3.2**  | 16 Dec 2024    | 1 Jan 2025 - 7 Jan 2025  |
| **Joplin 3.3**  | 16 Apr 2025    | 30 Apr 2025 - 6 May 2025 |
| **Joplin 3.4**  | 16 Aug 2025    | 30 Aug 2025 - 5 Sept 2025 |
| **Joplin 3.5**  | 16 Dec 2025    | 30 Dec 2025 - 5 Jan 2026 |
| **Joplin 3.6**  | 16 Apr 2026    | 30 Apr 2026 - 6 May 2026 |
| **Joplin 3.7**  | 16 Aug 2026    | 30 Aug 2026 - 5 Sept 2026 |
| **Joplin 3.8**  | 16 Dec 2026    | 30 Dec 2026 - 5 Jan 2027 |
| **Joplin 3.9**  | 16 Apr 2027    | 30 Apr 2027 - 6 May 2027 |

Please note that during this release process, [prereleases are also regularly made available](https://joplinapp.org/help/about/prereleases/). This allows you to test the application before its final release and to provide feedback on the new features being added and influence development. Moreover, if you find an issue, you can report it and we will give it a high priority and attempt to fix it as soon as possible.
