---
created: 2021-09-29T14:40:36.000+00:00
source_url: https://www.patreon.com/posts/joplin-2-4-is-56756602
---

# Joplin 2.4 is available!

Joplin 2.4 is now available on desktop, mobile and CLI. Here's what's new in this release:

### Sync Wizard Dialog

A new Sync Wizard Dialog has been added to simplify setting up sync on new clients.

The dialog shows the main sync targets, their differences, and makes it easy to choose one and start synchronising. This is mostly aimed at new users or those perhaps less technical. Those who are self hosting or using complex setups will still easily find what they need from a link on that dialog (or in Config > Synchronisation like before).

Sync setup on mobile has been slightly improved too - now on a new client, instead of asking you to sync with Dropbox directly (which may not be what you want), it jumps to the Config > Synchronisation section where you can select the sync target

![](https://raw.githubusercontent.com/laurent22/joplin/dev/Assets/WebsiteAssets/images/news/20210929-144036_0.png)

### Disable synchronisation

It's a small change but something that's been asked many time - it's now possible to disable synchronisation entirely by selecting "None" as a sync target. Previously that could be done in a hacky way, by selecting a non-configured sync target. Now it's clearer and easier to do.

![](https://raw.githubusercontent.com/laurent22/joplin/dev/Assets/WebsiteAssets/images/news/20210929-144036_1.png)

### Add back support for deprecated plugins

Recently some plugins stopped working because deprecated plugin APIs had been removed. It had been planned for a long time but I suspect the warnings weren't visible enough so plugin developers didn't act on them, and as a result many plugins stopped working.

This is now fixed in the latest version. A selected number of plugins will have access to these old deprecated APIs, which means they will start working again. This was mainly affecting ambrt's plugins such as "Convert Text To New Note" or the popular "Embed Search" plugin.

### Add support for recommended plugins

As mentioned in an earlier post, we now support [recommended plugins](https://www.patreon.com/posts/introducing-in-55618802). These recommended plugins appear on top when searching and are identified by a small crown.

![](https://raw.githubusercontent.com/laurent22/joplin/dev/Assets/WebsiteAssets/images/news/20210929-144036_2.png)

### End to End Encryption improvements

Like most recent releases, v2.4 includes a few improvement to the End to End Encryption (E2EE) system. The goal is to make it easier to use, to make it more reliable and to support the future use case of sharing encrypted notebooks or notes.

One important change is the support for a master password. This single password will be responsible to encrypt various keys, including some that will be automatically generated. Thanks to this, it won't be necessary to ask to enter a new password every time a key needs to be encrypted, since the master password can be used. It will also be easier to manage since you'll only have one password to remember instead of a different one for each notebook you might have shared.

Finally, it's now possible to disable a master key. What it means is that it will no longer show up in the list of master keys, and will also no longer generate a warning asking you to enter the password. In some case you might have forgotten it and no longer need it key, so you can now disable it.

### Custom CSS

This version also introduces a few internal change to better support custom CSS. In particular the colours now come from a CSS file, which could potentially be overridden, and new UI elements are styled using stylesheets, which likewise could be overridden.

Those are just first steps, but eventually these changes will make it easier to style the UI and create new themes.

### Bug fixes

This release also includes about 30 various bug fixes and improvements.

A notable one is a fix for GotoAnything, which recently wasn't working on first try.

The plugin screen has also been improved so that search works even when GitHub is down or blocked, as it is in China in particular.