---
created: 2021-10-31T11:52:15.000+00:00
source_url: https://www.patreon.com/posts/joplin-v2-5-is-58097252
---

# Joplin v2.5 is available for desktop and mobile!

[Joplin v2.5](https://joplinapp.org/download/) is now available for desktop, mobile and CLI! Here's an overview of the changes:

### Support for Markdown + Front Matter

Markdown + Front Matter is a format that allows attaching metadata, such as tags, creation date, or geolocation to a Markdown file. This is done by adding a block of YAML code (a "front matter") at the top of the file.

Thanks to Caleb John's efforts the Joplin desktop and CLI applications now support importing and exporting these files. When exporting, we try to preserve as much metadata as possible, while still keeping it the formatting user friendly.

Here's an example, with the Front Matter at the top, delimited by "---", and the text below.

![](https://raw.githubusercontent.com/laurent22/joplin/dev/Assets/WebsiteAssets/images/news/20211031-115215_0.png)

Markdown + Front Matter is an excellent way to share notes with someone who doesn't have Joplin, to backup notes in a durable format (since no third-party application is needed to read it), and also to export notes to other applications, or to import them.

As with the regular Markdown exporter, the images and attachments are also exported.

### Add support for callback URLs

Callback URLs is a semi-standard that defines how certain resources in an application can be accessed via URLs. Either to view the resource, or to perform certain actions, such as deletion, creation, etc.

Joplin now support callback URLs to open notes, notebooks and folders. To do so, right click on a note and select "Copy external link":

![](https://raw.githubusercontent.com/laurent22/joplin/dev/Assets/WebsiteAssets/images/news/20211031-115215_1.png)

That would give you a URL such as this:

> joplin://x-callback-url/openNote?id=b7a7b93281f54d928612eea550f33a7f

Then if you click it from outside the app, the app will open and select this particular note. In practice such a feature allows third-party application to interact with Joplin by creating links that can be opened from outside. For example, you may use a different application for project planning, then link to the individual notes for more details about each task.

Many thanks to Roman Musin for adding the feature!

### Improved end-to-end encryption support

The series of quiet but major changes to the end-to-end encryption support continue in this new verison. One goal is still to allow sharing notebooks while encryption is enabled.

To that end, v2.5 includes support for RSA public-private key pairs. If you have encryption enabled, they will be automatically generated when you synchronise by the mobile, desktop or CLI applications. Later on, these keys will be used to allow sharing encrypted notebooks.

The second goal of these E2EE changes is to simplify the system enough that it can be enabled by default. To that end, the master password dialog and encryption screen have been improved. An option to reset the master password is now also available.

### Various other improvements and bug fixes

In total this release includes about 11 other bug fixes and improvements. There was in particular several improvements to the share features. It is now also possible for a share recipient to leave the shared notebook.

### Mobile app update

As always the mobile apps (to be released soon) benefit from several of the above changes since they share the same codebase as the desktop app.

Specific to the mobile version 2.5 are some improvements to the beta editor - in particular the layout has been cleaned up, and the first word of sentences is now automatically capitalised, which makes typing notes easier. If you haven't tried the beta editor yet, you can enable it from the Configuration screen.

The full changelog is available there: https://joplinapp.org/help/about/changelog/desktop